# Uses of Record Class
org.apache.lucene.analysis.ko.dict.KoMorphData.Morpheme

Packages that use KoMorphData.Morpheme
Package
Description
org.apache.lucene.analysis.ko
Analyzer for Korean.
org.apache.lucene.analysis.ko.dict
Korean dictionary implementation.
org.apache.lucene.analysis.ko.tokenattributes
Additional Korean-specific Attributes for text analysis.

- ## Uses of KoMorphData.Morpheme in org.apache.lucene.analysis.ko

  Methods in org.apache.lucene.analysis.ko that return KoMorphData.Morpheme
  Modifier and Type
  Method
  Description
  `KoMorphData.Morpheme[]`
  DecompoundToken.`getMorphemes()`
  `KoMorphData.Morpheme[]`
  DictionaryToken.`getMorphemes()`
  `abstract KoMorphData.Morpheme[]`
  Token.`getMorphemes()`
  Get the `KoMorphData.Morpheme` decomposition of the token.

- ## Uses of KoMorphData.Morpheme in org.apache.lucene.analysis.ko.dict

  Methods in org.apache.lucene.analysis.ko.dict that return KoMorphData.Morpheme
  Modifier and Type
  Method
  Description
  `KoMorphData.Morpheme[]`
  KoMorphData.`getMorphemes(int morphId, char[] surfaceForm, int off, int len)`
  Get the morphemes of specified word (e.g.

- ## Uses of KoMorphData.Morpheme in org.apache.lucene.analysis.ko.tokenattributes

  Methods in org.apache.lucene.analysis.ko.tokenattributes that return KoMorphData.Morpheme
  Modifier and Type
  Method
  Description
  `KoMorphData.Morpheme[]`
  PartOfSpeechAttribute.`getMorphemes()`
  Get the `KoMorphData.Morpheme` decomposition of the token.
  `KoMorphData.Morpheme[]`
  PartOfSpeechAttributeImpl.`getMorphemes()`